Subject: Re: [RFC] Proposed questions for "Git User's Survey 2016"

From: Eric Wong <[email-masked]>
Date: Sun, 28 Aug 2016 09:49:46 +0000

Jakub Narębski <[email-masked]> wrote:
> W dniu 26.08.2016 o 08:15, Eric Wong pisze:
> 
> > Not directly-related to the survey questions, but can you ensure
> > it's accessible to folks without JavaScript/graphics, and
> > perhaps also ensure it is on a host that is Tor-friendly?
> 
> I plan on using Survs.com (where we have Premium account for free,
> thanks to Survs admins).  It has good online analysis tools, allows
> to download results in easy parseable format[1], and has support
> for multiple channels.
> 
> [1]: https://github.com/jnareb/GitSurvey-scripts
> 
> 
> It is possible to have a channel without JavaScript and without
> cookies (anonymous), at the cost of having to fill the survey
> in one go (without cookies and JavaScript you cannot go back
> to fill more questions, or change your mind about answers).
> The main page of survey would have a link to JavaScript-free
> version, and all announcements (by me) would include it.

Thanks.

> There would be no graphics that are not purely optional
> (decorative); probably there would be just a logo.
> 
> I'm not sure how Tor-friendly is this host.

I was able to get to Survs.com using Tor (maybe it was just luck
with a new exit).

> > Graphics setups often require non-Free firmware or drivers for
> > acceptable performance; and there are also visually-impaired
> > users who will need screen readers or Braille.
> 
> A question: would it be better to have the whole survey one one
> large page, or have it split into pages (with fever questions
> per page)?

I prefer single. One could get one page, take take time and let the
connection drop/fail, and send it over all in one go.  With multiple
pages, one would have to reconnect for every POST.

(fittingly, my connection failed writing this message a few
 days ago and I only got back around to it)